<?
function num_mes($fecha){

$meses_m = explode("-", $fecha);

   	$m =  $meses_m[1];
	$posicion = strpos($m,'0');
	
	if($posicion === false || $posicion == 1)
	return	$m =  $meses_m[1];
	else{
		$dias_d	=	explode(0,$m);
	return	$m =  $dias_d[1];
    }

}
 
function fecha_letras($fecha){
	$meses	=	array(" ","Ene.","Feb.","Mar.","Abr.","Mayo","Jun.","Jul.","Ago.","Sep.","Oct.","Nov.","Dic.");
	$letra	=	explode("-", $fecha);
	$mes	=	num_mes($fecha);
	$nueva_fecha	=	$letra[2]." de ".$meses[$mes]." de ".$letra[0];
	return $nueva_fecha;
}

	function delete_directory($directorio) {
	if (is_dir($directorio))
	$dir_handle = opendir($directorio);
	if (!$dir_handle)
	return false;
	while($file = readdir($dir_handle)) {
	if ($file != "." && $file != "..") {
	if (!is_dir($directorio."/".$file))
	unlink($directorio."/".$file);
	else
	delete_directory($directorio.'/'.$file);
	}
	}
	closedir($dir_handle);
	rmdir($directorio);
	return true;
	}
	
function queryTotal($tabla,$where,$numCondicion,$personal,$limit1,$limit2)
{
	$Query="SELECT * from ".$tabla." ".$where;
	if($where != "")
	{
		for($count = 1 ; $count <= $numCondicion ; $count++)
		{
			$Query.=$_SESSION["campoTabla"][count]."=".$_SESSION["campoValor"][count];
			if($count < $numCondicion)
			{
				$Query.=" and ";
			}
		}
	}
	if($personal != "")
	{
		if($where == "")
		{
			$Query.=" and ".$personal;
		}
		else
		{
			$Query.=" ".$personal;
		}
				
	}
	
	$numReg=mysql_num_rows(mysql_query($Query));
	
	$_SESSION["totalPaginas"] = $numReg;
	
	$Query.=" ".$limit1.",".$limit2;
	
	if($numReg > 0)
	{
		return mysql_fetch_assoc(mysql_query($Query));
	}
	
	return 0;
	
}

function getINI($etiqueta,$archivo){
	if(file_exists($archivo)){
		$vlineas = file($archivo);
	
		foreach ($vlineas as $sLinea) {
				if(substr($sLinea,0,strlen($etiqueta)) == $etiqueta){
					return trim(substr($sLinea,strlen($etiqueta)));
				}						
		}
	}
	return false;
}

function Encripta($cadena){
	$llave=5;
	$cadInv = strrev($cadena);
	$salida="";
	for($i=0; $i < strlen($cadInv); $i++){
		$asc = ord($cadInv[$i]);
		$salida.=utf8_encode(chr((intval($asc) ^ intval($llave))));
	}
	return $salida;
}

?>